Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.vectors

## Class Vector4L.Builder

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.vectors.Vector4L.Builder

- Enclosing class:
    Vector4L

      public static final class Vector4L.Builder
      extends Object

  Builds instances of type `Vector4L`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Vector4L` | `build​()` | Builds a new `Vector4L`.
    `Vector4L.Builder` | `from​(Vector4LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4LType` instance.
    `Vector4L.Builder` | `from​(VectorReadable2LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
    `Vector4L.Builder` | `from​(VectorReadable3LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType` instance.
    `Vector4L.Builder` | `from​(VectorReadable4LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4LType` instance.
    `Vector4L.Builder` | `setW​(long w)` | Initializes the value for the `w` attribute.
    `Vector4L.Builder` | `setX​(long x)` | Initializes the value for the `x` attribute.
    `Vector4L.Builder` | `setY​(long y)` | Initializes the value for the `y` attribute.
    `Vector4L.Builder` | `setZ​(long z)` | Initializes the value for the `z` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final Vector4L.Builder from​(VectorReadable4LType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4LType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4L.Builder from​(VectorReadable2LType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4L.Builder from​(VectorReadable3LType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4L.Builder from​(Vector4LType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4LType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX

          public final Vector4L.Builder setX​(long x)

      Initializes the value for the `x` attribute.
      Parameters:
        `x` - The value for x
      Returns:
        `this` builder for use in a chained invocation

    - #### setY

          public final Vector4L.Builder setY​(long y)

      Initializes the value for the `y` attribute.
      Parameters:
        `y` - The value for y
      Returns:
        `this` builder for use in a chained invocation

    - #### setZ

          public final Vector4L.Builder setZ​(long z)

      Initializes the value for the `z` attribute.
      Parameters:
        `z` - The value for z
      Returns:
        `this` builder for use in a chained invocation

    - #### setW

          public final Vector4L.Builder setW​(long w)

      Initializes the value for the `w` attribute.
      Parameters:
        `w` - The value for w
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public Vector4L build​()

      Builds a new `Vector4L`.
      Returns:
        An immutable instance of Vector4L
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com